const { mergeLeft } = require("ramda");

const commonConfiguration = require("../../eslint");

const isCommonsFrontend = !__dirname.includes("node_modules");

const configsPath = isCommonsFrontend
  ? "./configs"
  : "./node_modules/@bigbinary/neeto-commons-frontend/configs";

const nanosConfiguration = {
  extends: [
    "plugin:@bigbinary/neeto/nanos-recommended",
    "plugin:cypress/recommended",
    "plugin:json/recommended",
    "eslint:recommended",
    "plugin:react/recommended",
    `${configsPath}/eslint/globals`,
    `${configsPath}/nanos/eslint/imports/order`,
    `${configsPath}/eslint/overrides`,
    `${configsPath}/eslint/imports/enforced`,
    `${configsPath}/eslint/react`,
    `${configsPath}/eslint/promise`,
    "prettier",
  ],
};

module.exports = mergeLeft(nanosConfiguration, commonConfiguration);
