const { assocPath } = require("ramda");

const {
  buildPathGroupsBasedOnWebpackAliases,
} = require("../../../eslint/helpers");
const commonConfig = require("../../../eslint/imports/order");

const pathGroups = buildPathGroupsBasedOnWebpackAliases({
  customAliasPath: "resolve.js",
  commonAliasPath:
    "node_modules/@bigbinary/neeto-commons-frontend/configs/nextjs/webpack/resolve.js",
});

const pathGroupForKeepingReactImportsAtTop = {
  pattern: "react+(-native|)",
  group: "external",
  position: "before",
};
pathGroups.push(pathGroupForKeepingReactImportsAtTop);

module.exports = assocPath(
  ["rules", "import/order", 1, "pathGroups"],
  pathGroups,
  commonConfig
);
