'use strict';

var cypressUtils_utils_common = require('../../utils/common.js');
require('../../../defineProperty-BB_r6qQ2.js');
require('../../../toPropertyKey-CRgrohXG.js');
require('../../../typeof-D4ZZ_FlZ.js');
require('../index.js');

var commonSelectors = {
  alertTitle: cypressUtils_utils_common.dataCy("alert-title"),
  alertModalMessage: cypressUtils_utils_common.dataCy("alert-message"),
  alertModalSubmitButton: cypressUtils_utils_common.dataCy("alert-submit-button"),
  checkbox: cypressUtils_utils_common.dataCy("nui-checkbox-input"),
  checkboxLabel: cypressUtils_utils_common.dataCy("nui-checkbox-label"),
  dropdownContainer: cypressUtils_utils_common.dataCy("nui-dropdown-container"),
  dropdownIcon: cypressUtils_utils_common.dataCy("nui-dropdown-icon"),
  heading: cypressUtils_utils_common.dataCy("main-header"),
  paneBody: cypressUtils_utils_common.dataCy("pane-body"),
  paneHeader: cypressUtils_utils_common.dataCy("pane-header"),
  profileSidebar: cypressUtils_utils_common.dataCy("profile-section"),
  selectOption: function selectOption(label) {
    return cypressUtils_utils_common.dataCy("".concat(cypressUtils_utils_common.hyphenize(label), "-select-option"));
  },
  toastMessage: cypressUtils_utils_common.dataCy("toastr-message-container"),
  toastCloseButton: cypressUtils_utils_common.dataCy("toastr-close-button"),
  windowAlert: "#alert-box",
  body: "body",
  toastIcon: ".Toastify__toast-icon",
  paneModalCrossIcon: cypressUtils_utils_common.dataCy("pane-close-button"),
  inputField: cypressUtils_utils_common.dataCy("nui-input-field"),
  alertConfirmationText: cypressUtils_utils_common.dataCy("alert-confirmation-text"),
  alertCancelButton: cypressUtils_utils_common.dataCy("alert-cancel-button"),
  alertModalCrossIcon: cypressUtils_utils_common.dataCy("modal-close-button"),
  saveChangesButton: cypressUtils_utils_common.dataCy("save-changes-button"),
  cancelButton: cypressUtils_utils_common.dataCy("cancel-button"),
  inputFieldError: cypressUtils_utils_common.dataCy("nui-input-error"),
  selectDropDownError: cypressUtils_utils_common.dataCy("nui-select-error"),
  subTitleHeading: function subTitleHeading(index) {
    return cypressUtils_utils_common.dataCy("menubar-subtitle-heading", ":eq(".concat(index, ")"));
  },
  noDataTitle: cypressUtils_utils_common.dataCy("no-data-title"),
  noDataDescription: cypressUtils_utils_common.dataCy("no-data-description"),
  backdrop: cypressUtils_utils_common.dataCy("neeto-backdrop"),
  menuBarHeading: cypressUtils_utils_common.dataCy("menubar-heading"),
  nthTabItem: function nthTabItem(index) {
    return cypressUtils_utils_common.dataCy("tab-item", ":eq(".concat(index, ")"));
  },
  dropdownWrapper: function dropdownWrapper(index) {
    return cypressUtils_utils_common.dataCy("nui-select-container-wrapper", ":eq(".concat(index, ")"));
  },
  toggleButton: cypressUtils_utils_common.dataCy("menubar-toggle-button"),
  tooltip: cypressUtils_utils_common.dataCy("tooltip-box"),
  articlePageTitle: ".serene-article__title",
  tabItem: cypressUtils_utils_common.dataCy("tab-item"),
  labelInputError: cypressUtils_utils_common.dataCy("label-input-error"),
  urlInputError: cypressUtils_utils_common.dataCy("url-input-error"),
  noDataPrimaryButton: cypressUtils_utils_common.dataCy("no-data-primary-button"),
  modalHeader: cypressUtils_utils_common.dataCy("modal-header"),
  nameInputError: cypressUtils_utils_common.dataCy("name-input-error"),
  selectContainer: cypressUtils_utils_common.dataCy("nui-select-container"),
  dropdownMenu: cypressUtils_utils_common.dataCy("nui-select-menu"),
  nthDropdownIcon: function nthDropdownIcon(index) {
    return cypressUtils_utils_common.dataCy("nui-dropdown-icon", ":eq(".concat(index, ")"));
  },
  sidebarToggle: cypressUtils_utils_common.dataCy("neeto-molecules-sidebar-toggler"),
  customDataCy: function customDataCy(name) {
    return cypressUtils_utils_common.dataCy(name);
  },
  leftSubHeader: cypressUtils_utils_common.dataCy("subheader-left"),
  subheader: cypressUtils_utils_common.dataCy("subheader"),
  settingsLink: cypressUtils_utils_common.dataCy("Settings"),
  nthInputField: function nthInputField(index) {
    return cypressUtils_utils_common.dataCy("nui-input-field", ":eq(".concat(index, ")"));
  },
  ticketFieldTextInput: function ticketFieldTextInput(label) {
    return cypressUtils_utils_common.dataCy("".concat(cypressUtils_utils_common.hyphenize(label), "-text-input"));
  }
};
var tableSelectors = {
  nthColumn: function nthColumn(n) {
    return "td:nth-child(".concat(n, ")");
  },
  tableBody: ".ant-table-body",
  tableHeader: ".ant-table-thead th",
  tableRow: ".ant-table-tbody tr",
  spinner: ".ant-spin",
  nthHeading: function nthHeading(n) {
    return "tr > th:nth-child(".concat(n, ")");
  }
};
var profileSelectors = {
  tab: cypressUtils_utils_common.dataCy("profile-section"),
  logoutLink: cypressUtils_utils_common.dataCy("profile-logout-button"),
  myProfileButton: cypressUtils_utils_common.dataCy("my-profile-button"),
  organizationSettingsButton: cypressUtils_utils_common.dataCy("profile-organization-settings-button"),
  loader: cypressUtils_utils_common.dataTestId("spinner"),
  appSwitcherBody: cypressUtils_utils_common.dataCy("app-switcher-body-wrapper"),
  sidebarInfo: cypressUtils_utils_common.dataCy("sidebar-info"),
  appSwitcherBackButton: cypressUtils_utils_common.dataCy("app-switcher-back-button")
};

exports.commonSelectors = commonSelectors;
exports.profileSelectors = profileSelectors;
exports.tableSelectors = tableSelectors;
//# sourceMappingURL=common.js.map
