'use strict';

var faker = require('@faker-js/faker');

var fake = {};
var email = function email() {
  return faker.faker.internet.exampleEmail().toLowerCase();
};
var number = function number() {
  return faker.faker.number["int"]({
    min: 3,
    max: 9
  });
};
var amount = function amount() {
  return faker.faker.number["int"]({
    min: 1,
    max: 5
  });
};
var randomString = function randomString() {
  return faker.faker.string.alphanumeric(10);
};
var quantity = function quantity() {
  return faker.faker.number["int"]({
    min: 1,
    max: 3
  });
};
var randomDay = function randomDay() {
  return faker.faker.number["int"]({
    min: 1,
    max: 27
  });
};
var percentage = function percentage() {
  return faker.faker.number["int"]({
    min: 1,
    max: 2
  });
};
var uniqueName = function uniqueName() {
  return faker.faker.person.firstName() + faker.faker.number["int"]({
    min: 1,
    max: 100
  });
};
var uniqueDepartment = function uniqueDepartment() {
  return faker.faker.commerce.department() + faker.faker.number["int"]({
    min: 1,
    max: 100
  });
};
var phoneNumber = function phoneNumber() {
  var format = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "9#########";
  return faker.faker.phone.number(format);
};
var secureUrl = function secureUrl() {
  return faker.faker.internet.url().replace("http:", "https:");
};
var otp = function otp() {
  return faker.faker.number["int"]({
    min: 100000,
    max: 999999
  });
};
var longNumber = function longNumber() {
  return faker.faker.number["int"]({
    min: 1000,
    max: 9999
  });
};
var decimalNumber = function decimalNumber() {
  return faker.faker.number["int"]({
    min: 1000,
    max: 9999
  }) + Math.random();
};
Object.defineProperty(fake, "firstName", {
  get: faker.faker.person.firstName
});
Object.defineProperty(fake, "middleName", {
  get: faker.faker.person.middleName
});
Object.defineProperty(fake, "lastName", {
  get: faker.faker.person.lastName
});
Object.defineProperty(fake, "fullName", {
  get: faker.faker.person.fullName
});
Object.defineProperty(fake, "companyName", {
  get: faker.faker.company.name
});
Object.defineProperty(fake, "streetName", {
  get: faker.faker.location.street
});
Object.defineProperty(fake, "city", {
  get: faker.faker.location.city
});
Object.defineProperty(fake, "zipCode", {
  get: faker.faker.location.zipCode
});
Object.defineProperty(fake, "country", {
  get: faker.faker.location.country
});
Object.defineProperty(fake, "sentence", {
  get: faker.faker.lorem.sentence
});
Object.defineProperty(fake, "email", {
  get: email
});
Object.defineProperty(fake, "number", {
  get: number
});
Object.defineProperty(fake, "amount", {
  get: amount
});
Object.defineProperty(fake, "projectName", {
  get: faker.faker.commerce.productName
});
Object.defineProperty(fake, "department", {
  get: faker.faker.commerce.department
});
Object.defineProperty(fake, "word", {
  get: faker.faker.lorem.word
});
Object.defineProperty(fake, "words", {
  get: faker.faker.lorem.words
});
Object.defineProperty(fake, "randomString", {
  get: randomString
});
Object.defineProperty(fake, "state", {
  get: faker.faker.location.state
});
Object.defineProperty(fake, "quantity", {
  get: quantity
});
Object.defineProperty(fake, "randomDay", {
  get: randomDay
});
Object.defineProperty(fake, "percentage", {
  get: percentage
});
Object.defineProperty(fake, "uniqueName", {
  get: uniqueName
});
Object.defineProperty(fake, "uniqueDepartment", {
  get: uniqueDepartment
});
Object.defineProperty(fake, "url", {
  get: faker.faker.internet.url
});
Object.defineProperty(fake, "secureUrl", {
  get: secureUrl
});
Object.defineProperty(fake, "domain", {
  get: faker.faker.internet.domainName
});
Object.defineProperty(fake, "otp", {
  get: otp
});
Object.defineProperty(fake, "longNumber", {
  get: longNumber
});
Object.defineProperty(fake, "decimalNumber", {
  get: decimalNumber
});
Object.defineProperty(fake, "streetAddress", {
  get: faker.faker.location.streetAddress
});
fake.phoneNumber = phoneNumber;

exports.fake = fake;
//# sourceMappingURL=fake.js.map
