'use strict';

var cypressUtils_utils_navigation = require('./navigation.js');
var cypressUtils_constants_selectors_common = require('../constants/selectors/common.js');
var cypressUtils_constants_selectors_login = require('../constants/selectors/login.js');
var cypressUtils_constants_texts_common = require('../constants/texts/common.js');
require('../constants/routes.js');
require('./common.js');
require('../../defineProperty-BB_r6qQ2.js');
require('../../toPropertyKey-CRgrohXG.js');
require('../../typeof-D4ZZ_FlZ.js');
require('../constants/index.js');
require('../constants/selectors/navigation.js');
require('../constants/texts/navigation.js');

var verifySSOLoginPage = function verifySSOLoginPage() {
  cy.log("verify Login Page");
  cy.get(cypressUtils_constants_selectors_login.loginSelectors.githubAuthenticationButton).should("be.visible");
  cy.get(cypressUtils_constants_selectors_login.loginSelectors.twitterAuthenticationButton).should("be.visible");
  cy.get(cypressUtils_constants_selectors_login.loginSelectors.appleAuthenticationButton).should("be.visible");
  cy.get(cypressUtils_constants_selectors_login.loginSelectors.googleAuthenticationButton).should("be.visible");
  cy.log("verify Cross Site scripting");
  cy.clearAndType(cypressUtils_constants_selectors_login.loginSelectors.emailTextField, cypressUtils_constants_texts_common.commonTexts.crossSiteScript);
  cy.get(cypressUtils_constants_selectors_login.loginSelectors.submitButton).click();
  cy.get(cypressUtils_constants_selectors_common.commonSelectors.windowAlert).should("not.exist");
  cy.log("verify email login");
  cy.get(cypressUtils_constants_selectors_common.commonSelectors.emailInputError).should("have.text", cypressUtils_constants_texts_common.commonTexts.invalidEmailMessage);
  cy.get(cypressUtils_constants_selectors_login.loginSelectors.emailTextField).clear();
  cy.get(cypressUtils_constants_selectors_login.loginSelectors.submitButton).click();
  cy.get(cypressUtils_constants_selectors_common.commonSelectors.emailInputError).should("have.text", cypressUtils_constants_texts_common.commonTexts.invalidEmailMessage);
};
var logout = function logout(homeUrl) {
  cy.get(cypressUtils_constants_selectors_common.profileSelectors.loader).should("not.exist");
  cypressUtils_utils_navigation.navigationUtils.openProfileOrHelpCenter({
    tabSelector: cypressUtils_constants_selectors_common.profileSelectors.tab,
    subTabLink: cypressUtils_constants_selectors_common.profileSelectors.logoutLink,
    count: 5
  });
  cy.get(cypressUtils_constants_selectors_common.profileSelectors.tab).click();
  cy.get(cypressUtils_constants_selectors_common.profileSelectors.logoutLink).should("have.text", cypressUtils_constants_texts_common.commonTexts.logout).invoke("click");
  cy.url({
    timeout: 15000
  }).should("not.include", homeUrl);
};
var authUtils = {
  verifySSOLoginPage: verifySSOLoginPage,
  logout: logout
};

exports.authUtils = authUtils;
//# sourceMappingURL=authentication.js.map
