import { navigationUtils } from './navigation.js';
import { commonSelectors, profileSelectors } from '../constants/selectors/common.js';
import { loginSelectors } from '../constants/selectors/login.js';
import { commonTexts } from '../constants/texts/common.js';
import '../constants/routes.js';
import './common.js';
import '../../defineProperty-DuFCEj0A.js';
import '../../toPropertyKey-C6Y0u0Sf.js';
import '../../typeof-D-UKOauR.js';
import '../constants/index.js';
import '../constants/selectors/navigation.js';
import '../constants/texts/navigation.js';

var verifySSOLoginPage = function verifySSOLoginPage() {
  cy.log("verify Login Page");
  cy.get(loginSelectors.githubAuthenticationButton).should("be.visible");
  cy.get(loginSelectors.twitterAuthenticationButton).should("be.visible");
  cy.get(loginSelectors.appleAuthenticationButton).should("be.visible");
  cy.get(loginSelectors.googleAuthenticationButton).should("be.visible");
  cy.log("verify Cross Site scripting");
  cy.clearAndType(loginSelectors.emailTextField, commonTexts.crossSiteScript);
  cy.get(loginSelectors.submitButton).click();
  cy.get(commonSelectors.windowAlert).should("not.exist");
  cy.log("verify email login");
  cy.get(commonSelectors.emailInputError).should("have.text", commonTexts.invalidEmailMessage);
  cy.get(loginSelectors.emailTextField).clear();
  cy.get(loginSelectors.submitButton).click();
  cy.get(commonSelectors.emailInputError).should("have.text", commonTexts.invalidEmailMessage);
};
var logout = function logout(homeUrl) {
  cy.get(profileSelectors.loader).should("not.exist");
  navigationUtils.openProfileOrHelpCenter({
    tabSelector: profileSelectors.tab,
    subTabLink: profileSelectors.logoutLink,
    count: 5
  });
  cy.get(profileSelectors.tab).click();
  cy.get(profileSelectors.logoutLink).should("have.text", commonTexts.logout).invoke("click");
  cy.url({
    timeout: 15000
  }).should("not.include", homeUrl);
};
var authUtils = {
  verifySSOLoginPage: verifySSOLoginPage,
  logout: logout
};

export { authUtils };
//# sourceMappingURL=authentication.js.map
